Package Details: transifex-client 0.13.6-1

Git Clone URL: https://aur.archlinux.org/transifex-client.git (read-only)
Package Base: transifex-client
Description: The Transifex command-line tool to download and upload translations from Transifex
Upstream URL: http://pypi.python.org/pypi/transifex-client
Licenses: GPL2
Submitter: pnorcks
Maintainer: Muflone
Last Packager: Muflone
Votes: 33
Popularity: 0.000008
First Submitted: 2011-01-25 22:46
Last Updated: 2019-04-13 15:40

Latest Comments

mariobl commented on 2019-04-28 14:23

Doesn't work curently:

[mariobl@t400 po]$ tx --version Traceback (most recent call last): File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 583, in _build_master ws.require(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 900, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 791, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (python-slugify 1.2.5 (/usr/lib/python3.7/site-packages), Requirement.parse('python-slugify==1.2.6'), {'transifex-client'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/tx", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3241, in <module> @_call_aside File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3225, in _call_aside f(args, *kwargs) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 3254, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 585, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 598, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 786, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'python-slugify==1.2.6' distribution was not found and is required by transifex-client

The package python-slugify is available from the AUR, but version 3.0.2, which obviously doesn't work with transifex-client v0.13.6.

Muflone commented on 2018-01-14 00:17

let's wait for a new update as the version 0.13 currently has a major bug which makes it unusable

Muflone commented on 2016-07-09 19:52

Package updated and moved to python 3.x

zopieux commented on 2016-06-30 18:04

Transifex is now sending warning emails to users of this out-of-date package. Please update or share maintainership, thanks.

wsha commented on 2016-02-15 07:01

It seems like this package could be based on python rather than python2 now.

Muflone commented on 2014-08-31 19:13

Package adopted

rdoursenaud commented on 2013-05-10 10:03

tests directory clashing at install :
/usr/lib/python2.7/site-packages/tests/__init__.py
/usr/lib/python2.7/site-packages/tests/__init__.pyc
/usr/lib/python2.7/site-packages/tests/__init__.pyo